TRANSPORT_CLASS_REGI(9)

NAME
transport_class_register - register an initial transport class

SYNOPSIS

int transport_class_register(struct transport_class * tclass);

ARGUMENTS

tclass
    a pointer to the transport class structure to be initialised

DESCRIPTION

The transport class contains an embedded class which is used to identify it. The caller should initialise this structure with zeros and then generic class must have been initialised with the actual transport class unique name. There's a macro DECLARE_TRANSPORT_CLASS to do this (declared classes still must be registered).

Returns 0 on success or error on failure.

COPYRIGHT